# Class SmtpSampler

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.samplers.AbstractSampler
org.apache.jmeter.protocol.smtp.sampler.SmtpSampler

All Implemented Interfaces:
  `Serializable, Cloneable, ConfigMergabilityIndicator, Searchable, Sampler, TestElement`

public class SmtpSampler extends AbstractSampler
Sampler-Class for JMeter - builds, starts and interprets the results of the sampler. Has to implement some standard-methods for JMeter in order to be integrated in the framework. All getter/setter methods just deliver/set values from/to the sampler, not from/to the message-object. Therefore, all these methods are also present in class SendMailCommand.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTACH_FILE`
`static final String`
`EML_MESSAGE_TO_SEND`
`static final String`
`ENABLE_DEBUG`
`static final String`
`FILENAME_SEPARATOR`
`static final String`
`HEADER_FIELDS`
`static final String`
`INCLUDE_TIMESTAMP`
`static final String`
`MAIL_FROM`
`static final String`
`MAIL_REPLYTO`
`static final String`
`MESSAGE`
`static final String`
`MESSAGE_SIZE_STATS`
`static final String`
`PASSWORD`
`static final String`
`PLAIN_BODY`
`static final String`
`RECEIVER_BCC`
`static final String`
`RECEIVER_CC`
`static final String`
`RECEIVER_TO`
`static final String`
`SERVER`
`static final String`
`SERVER_CONNECTION_TIMEOUT`
`static final String`
`SERVER_PORT`
`static final String`
`SERVER_TIMEOUT`
`static final String`
`SUBJECT`
`static final String`
`SUPPRESS_SUBJECT`
`static final String`
`USE_AUTH`
`static final String`
`USE_EML`
`static final String`
`USERNAME`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`SmtpSampler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applies(ConfigTestElement configElement)`
Does configElement apply to Sampler
`SampleResult`
`sample(Entry e)`
Performs the sample, and returns the result

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

## Field Details

### SERVER

public static final String SERVER

See Also:
  - Constant Field Values

### SERVER_PORT

public static final String SERVER_PORT

See Also:
  - Constant Field Values

### SERVER_TIMEOUT

public static final String SERVER_TIMEOUT

See Also:
  - Constant Field Values

### SERVER_CONNECTION_TIMEOUT

public static final String SERVER_CONNECTION_TIMEOUT

See Also:
  - Constant Field Values

### USE_AUTH

public static final String USE_AUTH

See Also:
  - Constant Field Values

### USERNAME

public static final String USERNAME

See Also:
  - Constant Field Values

### PASSWORD

public static final String PASSWORD

See Also:
  - Constant Field Values

### MAIL_FROM

public static final String MAIL_FROM

See Also:
  - Constant Field Values

### MAIL_REPLYTO

public static final String MAIL_REPLYTO

See Also:
  - Constant Field Values

### RECEIVER_TO

public static final String RECEIVER_TO

See Also:
  - Constant Field Values

### RECEIVER_CC

public static final String RECEIVER_CC

See Also:
  - Constant Field Values

### RECEIVER_BCC

public static final String RECEIVER_BCC

See Also:
  - Constant Field Values

### SUBJECT

public static final String SUBJECT

See Also:
  - Constant Field Values

### SUPPRESS_SUBJECT

public static final String SUPPRESS_SUBJECT

See Also:
  - Constant Field Values

### MESSAGE

public static final String MESSAGE

See Also:
  - Constant Field Values

### PLAIN_BODY

public static final String PLAIN_BODY

See Also:
  - Constant Field Values

### INCLUDE_TIMESTAMP

public static final String INCLUDE_TIMESTAMP

See Also:
  - Constant Field Values

### ATTACH_FILE

public static final String ATTACH_FILE

See Also:
  - Constant Field Values

### MESSAGE_SIZE_STATS

public static final String MESSAGE_SIZE_STATS

See Also:
  - Constant Field Values

### HEADER_FIELDS

public static final String HEADER_FIELDS

See Also:
  - Constant Field Values

### USE_EML

public static final String USE_EML

See Also:
  - Constant Field Values

### EML_MESSAGE_TO_SEND

public static final String EML_MESSAGE_TO_SEND

See Also:
  - Constant Field Values

### ENABLE_DEBUG

public static final String ENABLE_DEBUG

See Also:
  - Constant Field Values

### FILENAME_SEPARATOR

public static final String FILENAME_SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### SmtpSampler

public SmtpSampler()

## Method Details

### sample

public SampleResult sample(Entry e)
Performs the sample, and returns the result

Parameters:
  `e` - Standard-method-header from JMeter
Returns:
  sampleresult Result of the sample
See Also:
  - `Sampler.sample(org.apache.jmeter.samplers.Entry)`

### applies

public boolean applies(ConfigTestElement configElement)
Description copied from class: `AbstractSampler`
Does configElement apply to Sampler

Specified by:
  `applies` in interface `ConfigMergabilityIndicator`
Overrides:
  `applies` in class `AbstractSampler`
Parameters:
  `configElement` - `ConfigTestElement`
Returns:
  boolean
See Also:
  - `AbstractSampler.applies(org.apache.jmeter.config.ConfigTestElement)`